﻿<%@ Page Language="C#" MasterPageFile="~/OWDemoShell.Master" AutoEventWireup="true" CodeBehind="ExcelTemplate_HelloWorld.aspx.cs" Inherits="HelloWorld.ExcelWriter.ExcelTemplate_HelloWorld" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="DemoTitle" runat="server">Hello World - ExcelTemplate
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="DemoBody" runat="server">
    <p>ExcelWriter's <a href="http://wiki.softartisans.com/display/EW8/ExcelTemplate+API">ExcelTemplate</a> allows you to write data to a template file that 
    contains <a href="http://wiki.softartisans.com/display/EW8/Creating+Data+Markers">data markers</a>. The data markers tell ExcelWriter where to bind specific sets of data. For
    more information, read <a href="http://wiki.softartisans.com/display/EW8/How+to+Use+Templates">How to Use Templates</a>.</p>
    <p>In this example,
    the template file contains a single data marker which will bind to the value written in the text box below. 
    We recommend taking a look at the <a href="templates/Hello World.xlsx">template file</a>.</p>
    <asp:TextBox ID="DataValueBox" runat="server" Width="167px"></asp:TextBox>&nbsp;&nbsp;&nbsp;&nbsp; 
    <asp:Button ID="RunHelloWorld" runat="server" Text="Run Hello World" 
        onclick="RunHelloWorld_Click" />
    <p><asp:Label ID="ErrorLabel" runat="server" Text="[Error Label]" Visible="False" 
        ForeColor="Red"></asp:Label></p>
</asp:Content>
